<html>
<body>
	<h1>GeniusWeb Domains and Profiles Server.</h1>
	This server serves the domains and profiles.



	<h2>
		Currently available
		</h1>

		The list of currently available profiles is <a
			href="websocket/list.xhtml">here</a>.<br> The list of domain and
		profile files is browsable <a href="domainsrepo">here</a>. Notice that
		these may contain files with errors, and thus are not available for
		use.

		<h2>
			Adding domains and profiles
			</h1>
			You can add and remove domains and profiles by dragging your .json
			files into and out of the repo directory.

			<h2>
				Access
				</h1>
				Your agent has JSON based access to the repo through websockets. Two
				examples are provided, one based on javax.websocket and one on
				neovisionaries websocket


				<h3>Example with javax websocket</h3>
				The example code is available 
				<a
					href="https://tracinsy.ewi.tudelft.nl/trac/Genius2ProfilesServer/browser/src/test/java/geniusweb/examples/DownloadProfileExample.java">here</a>
and also is part of the JavaClientTest junit test in this project (run with <code>mvn test</code>)
				To compile that example you need the javax websocket
				dependency in your pom:
				<code>
					<pre>					
&lt;dependency>
	&lt;groupId>javax.websocket&lt;/groupId>
	&lt;artifactId>javax.websocket-api&lt;/artifactId>
	&lt;version>1.1&lt;/version>
&lt;/dependency>

				
				</code>
				</pre>


				<h3>Example with neovisionaries websocket</h3>
				The example code is available 
				<a
					href="https://tracinsy.ewi.tudelft.nl/trac/Genius2ProfilesServer/browser/src/test/java/geniusweb/examples/DownloadProfileExample.java">here</a>
and also is part of the JavaClientTest junit test in this project (run with <code>mvn test</code>)
				To compile that example you need the neovisionaries websocket
				dependency in your pom:
				<code>
					<pre>					
&lt;dependency>
	&lt;groupId>com.neovisionaries&lt;/groupId>
	&lt;artifactId>nv-websocket-client&lt;/artifactId>
	&lt;version>2.6&lt;/version>
&lt;/dependency>

				
				</code>
				</pre>
</body>
</html>
